/*
 * archive.c
 * 
 * one line to give the Gauche-archive and an idea of what it does.
 * Copyright (C) 2018 aaauuue 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "archive.h"

/*
 * The following function is a dummy one; replace it for
 * your C function definitions.
 */

ScmObj test_archive(void)
{
    return SCM_MAKE_STR("archive is working");
}

/*
 * Module initialization function.
 */
extern void Scm_Init_archivelib(ScmModule*);

void Scm_Init_archive(void)
{
    ScmModule *mod;

    /* Register this DSO to Gauche */
    SCM_INIT_EXTENSION(archive);

    /* Create the module if it doesn't exist yet. */
    mod = SCM_MODULE(SCM_FIND_MODULE("archive", TRUE));

    Scm_InitStaticClass( SCM_CLASS_LIBARCHIVE_ARCHIVE_BASE, "<archive-base>",
                         mod, NULL, 0 );


    /* Register stub-generated procedures */
    Scm_Init_archivelib(mod);
}
