/*
 * archive.c
 */

#include "archive.h"

/*
 * The following function is a dummy one; replace it for
 * your C function definitions.
 */

ScmObj test_archive(void)
{
    return SCM_MAKE_STR("archive is working");
}

/*
 * Module initialization function.
 */
extern void Scm_Init_archivelib(ScmModule*);

void Scm_Init_archive(void)
{
    ScmModule *mod;

    /* Register this DSO to Gauche */
    SCM_INIT_EXTENSION(archive);

    /* Create the module if it doesn't exist yet. */
    mod = SCM_MODULE(SCM_FIND_MODULE("archive", TRUE));

    Scm_InitStaticClass( SCM_CLASS_LIBARCHIVE_ARCHIVE, "<archive>", mod,
                         libarchive_archive_slots, 0 );
    Scm_InitStaticClass( SCM_CLASS_LIBARCHIVE_ARCHIVE_ENTRY,
                         "<archive-entry>", mod,
                         libarchive_archive_entry_slots, 0 );


    /* Register stub-generated procedures */
    Scm_Init_archivelib(mod);
}
